gulp 报错

shability
  • 266

gulp[11720]: srcnode_contextify.cc:631: Assertion `args[1]->IsString()' failed.

回复
阅读 10.3k
4 个回答

已经找到原因:node 升级到10.0.0后出现这种情况 回退版本即可

1.npm rm -g gulp
2.npm install -g gulp-cli
3.npm install --save-dev gulp@next

ok了,把3.9.1干掉

C:/myprojectfolder> gulp -v
[21:03:13] CLI version 1.3.0
[21:03:13] Local version 4.0.0

rm -fr node_modules
rm -fr package-lock.json
npm cache clean --force
npm install

已经测试过了,有效 ?

撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
你知道吗?

宣传栏